<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Dozent\KursUebersicht\PdfListen\HonorarListen\ShowHonorarListen;


class ShowHonorarListenController extends \Kufer\KuferTools\Basis\DrucklistenAllgemein\Drucklisten\ShowDruckListenAllgemeinController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new ShowHonorarListenUseCase(
      $this->getRequestObj()
    );
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new ShowHonorarListenPresenter($pUseCaseResponse);
  }
}